Monday, August 10, 2015

GWT / HttpClient Version Compatibility

If you're using GWT and Apache HttpClient in a single project, it can be useful to know which version of HttpClient ships with which version of GWT, because GWT includes HttpClient directly in its jar, and conflicting versions can be a bit of a pain.

I can't find that information published anywhere else, so I'm publishing it here. Basically, look in the dev/build.xml file for the tagged version of GWT that you care about. Since I've already done that, here's the result for several of the most recent releases:

GWT VersionHttpClient Version

I hope this will be useful for someone else.

No comments:

Post a Comment